# comment out when not pre-release
%define prel	alpha1

%define rel	1

Name:		nmapsi4
Version:	0.6
Release:	%mkrel %{?prel:0.%prel.}%{rel}
Summary:	Complete Qt-based Gui to provide a complete nmap interface
Group:		Networking/Other
License:	GPLv2
Url:		https://github.com/nmapsi4/nmapsi4
Source0:	https://github.com/nmapsi4/nmapsi4/archive/v%{version}%{?prel:-%prel}/%{name}-%{version}%{?prel:-%prel}.tar.gz
Patch0:		nmapsi4-0.6-mga-fix-desktop-file-install.patch
# FIXME use/update qt6_qtwebengine_arches
# 32-bit arches not supported (https://bugreports.qt.io/browse/QTBUG-102143)
ExclusiveArch:	aarch64 x86_64

BuildRequires:	kf6-rpm-macros

BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6DBus)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6LinguistTools)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6Quick)
BuildRequires:	cmake(Qt6Qml)
BuildRequires:	cmake(Qt6WebEngineWidgets)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	cmake(Qt6Core5Compat)

BuildRequires:	nmap >= 6.00

Requires:	nmap >= 6.00
Requires:	kde-cli-tools

# mga#27930
Provides:	nmap-frontend

%description
NmapSI4 is a complete Qt5-based Gui with the design goals to provide a complete
nmap interface for Users, in order to management all option of this power 
security net scanner.

%files
%doc AUTHORS README.md NEWS TODO
%license COPYING
%{_kf6_bindir}/%{name}
%{_kf6_applicationsdir}/%{name}*.desktop
%{_kf6_datadir}/dbus-1/interfaces/org.%{name}.Nmapsi4.xml
%{_kf6_iconsdir}/hicolor/*/apps/%{name}.png
%{_kf6_datadir}/polkit-1/actions/org.nmapsi4.Nmapsi4.policy
%dir %{_kf6_datadir}/%{name}
%dir %{_kf6_datadir}/%{name}/locale
%lang(ca) %{_kf6_datadir}/%{name}/locale/nmapsi4_ca.qm
%lang(cs) %{_kf6_datadir}/%{name}/locale/nmapsi4_cs.qm
%lang(de) %{_kf6_datadir}/%{name}/locale/nmapsi4_de.qm
%lang(es) %{_kf6_datadir}/%{name}/locale/nmapsi4_es.qm
%lang(fr) %{_kf6_datadir}/%{name}/locale/nmapsi4_fr.qm
%lang(it) %{_kf6_datadir}/%{name}/locale/nmapsi4_it.qm
%lang(ru) %{_kf6_datadir}/%{name}/locale/nmapsi4_ru.qm

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{name}-%{version}%{?prel:-%prel}

%build
%cmake_kf6

%cmake_build

%install
%cmake_install


%changelog
* Tue Jul 08 2025 daviddavid <daviddavid> 0.6-0.alpha1.1.mga10
+ Revision: 2252477
- new version: 0.6-alpha1
- switch to Qt6
+ umeabot <umeabot>
- Mageia 10 Mass Rebuild

* Tue Apr 05 2022 umeabot <umeabot> 0.5-0.alpha2.3.mga9
+ Revision: 1845030
- Mageia 9 Mass Rebuild

* Sat Dec 26 2020 daviddavid <daviddavid> 0.5-0.alpha2.2.mga8
+ Revision: 1663961
- fix desktop files

* Sat Dec 26 2020 daviddavid <daviddavid> 0.5-0.alpha2.1.mga8
+ Revision: 1663960
- new version: 0.5-aplpha2
- provides nmap-frontend (mga#27930)

* Thu Dec 17 2020 umeabot <umeabot> 0.5-0.alpha1.5.mga8
+ Revision: 1659129
- Rebuild for new Qt5

* Sat Feb 15 2020 umeabot <umeabot> 0.5-0.alpha1.4.mga8
+ Revision: 1524836
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sun Mar 31 2019 umeabot <umeabot> 0.5-0.alpha1.3.mga7
+ Revision: 1383534
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.5-0.alpha1.2.mga7
+ Revision: 1299751
- Mageia 7 Mass Rebuild

* Mon Jun 06 2016 daviddavid <daviddavid> 0.5-0.alpha1.1.mga6
+ Revision: 1020463
- new version: 0.5-aplha1
- port to Qt5/Kf5
- update description and summary

* Fri Apr 01 2016 daviddavid <daviddavid> 0.4-6.mga6
+ Revision: 997296
- add patch0 to fix build with CMake 3.4 and higher
- remove empty lang files to fix build with latest rpm
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.4-5.mga5
+ Revision: 743656
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4-4.mga5
+ Revision: 682897
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.4-3.mga4
+ Revision: 508333
- Mageia 4 Mass Rebuild
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 juancho <juancho> 0.4-1.mga3
+ Revision: 341040
- Updated to version 0.4

* Sat Dec 31 2011 juancho <juancho> 0.3-1.mga2
+ Revision: 189195
- Removed {} from mkrel call
- Changed spaces for identation for better readability
- Removed Sources 1 and 2 and transformed them into a patch
- Changed make for %%make macro at %%build
- Cleaned BuildRoot remaining stuff
- Removed defattr
+ gejo <gejo>
- imported package nmapsi4

